language: python
python:
 - "2.7"
 - "3.5"
 - "3.6"
 - "3.7"
 - "pypy"
 - "pypy3.5"
script:
 - python -m compile_definitions
 - python setup.py nosetests --tests tests
 - python -m stress_tests
install:
 - pip install -r requirements.txt
 - pip install -r stress_tests/requirements.txt
 - pip install yapf
 - pip install --force-reinstall "coverage>=4.0,<4.4" codeclimate-test-reporter
after_success:
 - codeclimate-test-reporter
 - bash build.sh
services: rabbitmq
addons:
  apt:
    packages:
      - rabbitmq-server
